﻿using Microsoft.AspNetCore.Razor.TagHelpers;

namespace FAuth.Extensions.TagHelpers
{
    [HtmlTargetElement("a",Attributes = "fajaxfun")]
    [HtmlTargetElement("form",Attributes = "fajaxfun")]
    public class FAjaxFunTagHelper:TagHelper
    {
        [HtmlAttributeName("fajaxfun")]
        public string Fun { get; set; }

        public override void Process(TagHelperContext context,TagHelperOutput output) {
            //data-ajax="true" data-ajax-update="main" data-ajax-mode="replace"
            output.Attributes.SetAttribute("data-ajax","true");
            output.Attributes.SetAttribute("data-ajax-update",this.Fun);
            output.Attributes.SetAttribute("data-ajax-mode","replace");

            //base.Process(context,output);
        }
    }
}
